<form>
  <div class="row" style="height: 3rem;"></div>
  <div class="form-group form-inline">
    <input
      [(ngModel)]="searchText"
      class="form-control"
      name="search"
      type="text"
      placeholder="Insert a player's name"
      autocomplete="off"
    />
  </div>
</form>
<div ngbDropdown class="d-inline-block">
  <button class="btn btn-outline-primary" id="dropdownBasic1" ngbDropdownToggle>Sort</button>
  <div ngbDropdownMenu aria-labelledby="dropdownBasic1">
    <button ngbDropdownItem (click)="showSorted(0)">All</button>
    <button ngbDropdownItem (click)="showSorted(5)">Top 5</button>
    <button ngbDropdownItem (click)="showSorted(10)">Top 10</button>
    <button ngbDropdownItem (click)="showSorted(-5)">Bottom 5</button>
    <button ngbDropdownItem (click)="showSorted(-10)">Bottom 10</button>
  </div>
</div>
<table *ngIf="playerList.length > 0" class="table" matSort (matSortChange)="sortData($event)">
  <tr>
    <th mat-sort-header="index">#</th>
    <th mat-sort-header="name">Name</th>
    <th mat-sort-header="elo">Elo</th>
    <th mat-sort-header="won">Won</th>
    <th mat-sort-header="lost">Lost</th>
    <th mat-sort-header="score">Total Score</th>
  </tr>

  <tr *ngFor="let player of sortedData | filter: searchText; index as i">
    <td>{{ i + 1 }}.</td>
    <td>{{ player.name }}</td>
    <td>{{ player.elo }}</td>
    <td>{{ player.won }}</td>
    <td>{{ player.lost }}</td>
    <td>{{ player.won - player.lost }}</td>
  </tr>
</table>
